//
//  InspectorViewGuideLineController.h
//  InspectorViewGuideLineController
//
//  Created by Georg Seifert on 03.02.10.
//  Copyright 2010 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GSInspectorViewController.h"

@interface InspectorViewComponentController : GSInspectorViewController {}

@property (nonatomic, weak) IBOutlet NSTextField* scaleHField;
@property (nonatomic, weak) IBOutlet NSTextField* scaleVField;
@property (nonatomic, weak) IBOutlet NSTextField* rotateField;
@property (nonatomic, weak) IBOutlet NSButton* nameButton;
@property (nonatomic, weak) IBOutlet NSMenu* anchorsMenu;
@property (nonatomic, weak) IBOutlet NSPopUpButton* anchorButton;
@property (nonatomic, weak) IBOutlet NSTextField* keepWeightField;
@property (nonatomic, weak) IBOutlet NSButton* smartButton;

- (IBAction)setXorigin:(id)sender;

- (IBAction)setYorigin:(id)sender;

- (IBAction)setScaleH:(id)sender;

- (IBAction)setScaleV:(id)sender;

- (IBAction)setRotate:(id)sender;

- (IBAction)setKeepWeight:(id)sender;

- (IBAction)setName:(id)sender;

- (IBAction)showComponentGlyph:(id)sender;
@end
